<div class='input-layout'>
  {{#each this.containers as |container index|}}
    <div class='container-settings'>
      <Input::Layout::InsertContainerBtn class='btn-add-container btn-add-container-{{index}}' {{on 'click' (fn this.addContainerBefore index)}} />
      <br />
      <Input::Layout::ConfigContainerBtn class='btn-config-container btn-config-container-{{index}}' {{on 'click' (fn this.configContainer index)}} />
      <br />
      <Input::Layout::RemoveContainerBtn class='btn-remove-container btn-remove-container-{{index}}' {{on 'click' (fn this.removeContainer index)}} />
    </div>

    <div class='{{container.cls}} {{this.deviceSizeClass}} {{if container.cls "" "container"}} {{if (eq index this.selectedContainer) "selected"}} d-flex flex-column'>
      <Input::Layout::Rows @page={{@page}} @selectionId={{@selectionId}} @containerIndex={{index}} @rows={{container.rows}} @onSelect={{@onSelect}} />
    </div>
  {{/each}}

  <CustomPageStyle @value={{this.containers}} />

  <div class='container-settings {{if this.containers.length "" "empty"}}'>
    {{#if this.containers.length}}
      <Input::Layout::InsertContainerBtn class='btn-add-container btn-add-container-{{this.containers.length}}' {{on 'click' this.addContainerEnd}} />
    {{else}}
      <button class='btn btn-outline-primary btn-add-container btn-add-first-container m-auto' type='button' {{on 'click' this.addContainerEnd}}>
        <FaIcon @icon='plus' />
        {{capitalize (t 'container')}}
      </button>
    {{/if}}
  </div>
</div>